/*
 * Copyright 2021 NXP
 * All rights reserved.
 *
 * SPDX-License-Identifier: BSD-3-Clause
 */

/***********************************************************************************************************************
 * This file was generated by the MCUXpresso Config Tools. Any manual edits made to this file
 * will be overwritten if the respective MCUXpresso Config Tools is used to update this file.
 **********************************************************************************************************************/

/* clang-format off */
/*
 * TEXT BELOW IS USED AS SETTING FOR TOOLS *************************************
!!GlobalInfo
product: Pins v9.0
processor: MKM34Z128Axxx5
package_id: MKM34Z128ACLL5
mcu_data: ksdk2_0
processor_version: 0.9.1
 * BE CAREFUL MODIFYING THIS COMMENT - IT IS YAML SETTINGS FOR TOOLS ***********
 */
/* clang-format on */

#include "fsl_common.h"
#include "fsl_port.h"
#include "fsl_gpio.h"
#include "pin_mux.h"

/* FUNCTION ************************************************************************************************************
 *
 * Function Name : BOARD_InitBootPins
 * Description   : Calls initialization functions.
 *
 * END ****************************************************************************************************************/
void BOARD_InitBootPins(void)
{
    BOARD_InitPins();
}

/* clang-format off */
/*
 * TEXT BELOW IS USED AS SETTING FOR TOOLS *************************************
BOARD_InitPins:
- options: {callFromInitBoot: 'true', coreID: core0, enableClock: 'true'}
- pin_list:
  - {pin_num: '91', peripheral: UART1, signal: RX, pin_signal: CMP0P5/PTI0/SCI1_RxD/PXBAR_IN8/SPI1_MISO/SPI1_MOSI}
  - {pin_num: '92', peripheral: UART1, signal: TX, pin_signal: PTI1/SCI1_TxD/PXBAR_OUT8/SPI1_MOSI/SPI1_MISO}
  - {pin_num: '49', peripheral: CMP0, signal: 'IN, 1', pin_signal: CMP0P1/PTD2/SCI1_RxD/SPI0_SCK/PXBAR_IN3/LLWU_P10}
  - {pin_num: '48', peripheral: GPIOD, signal: 'GPIO, 1', pin_signal: PTD1/SCI1_TxD/SPI0_SS_B/PXBAR_OUT3/QT3, direction: OUTPUT, gpio_init_state: 'true'}
 * BE CAREFUL MODIFYING THIS COMMENT - IT IS YAML SETTINGS FOR TOOLS ***********
 */
/* clang-format on */

/* FUNCTION ************************************************************************************************************
 *
 * Function Name : BOARD_InitPins
 * Description   : Configures pin routing and optionally pin electrical features.
 *
 * END ****************************************************************************************************************/
void BOARD_InitPins(void)
{
    /* PCTLD Clock Gate Control: Clock enabled */
    CLOCK_EnableClock(kCLOCK_PortD);
    /* PCTLI Clock Gate Control: Clock enabled */
    CLOCK_EnableClock(kCLOCK_PortI);

    gpio_pin_config_t gpiod_pin48_config = {
        .pinDirection = kGPIO_DigitalOutput,
        .outputLogic = 0U
    };
    /* Initialize GPIO functionality on pin PTD1 (pin 48)  */
    GPIO_PinInit(GPIOD, 1U, &gpiod_pin48_config);

    GPIOD->PDOR = ((GPIOD->PDOR &
                    /* Mask bits to zero which are setting */
                    (~(GPIO_PDOR_PDO_MASK)))

                   /* Port Data Output: 0x02u. */
                   | GPIO_PDOR_PDO(0x02u));

    /* PORTD1 (pin 48) is configured as PTD1 */
    PORT_SetPinMux(PORTD, 1U, kPORT_MuxAsGpio);

    /* PORTD2 (pin 49) is configured as CMP0P1 */
    PORT_SetPinMux(PORTD, 2U, kPORT_PinDisabledOrAnalog);

    /* PORTI0 (pin 91) is configured as SCI1_RxD/PXBAR_IN8 */
    PORT_SetPinMux(PORTI, 0U, kPORT_MuxAlt2);

    /* PORTI1 (pin 92) is configured as SCI1_TxD */
    PORT_SetPinMux(PORTI, 1U, kPORT_MuxAlt2);

    SIM->MISC_CTL = ((SIM->MISC_CTL &
                      /* Mask bits to zero which are setting */
                      (~(SIM_MISC_CTL_UART1IRSEL_MASK)))

                     /* UART1 IRDA Select: Pad RX input (PTD[2] or PTI[0], as selected in Pinmux control)
                      * selected for RX input of UART1 and UART1 TX signal is not used for modulation. */
                     | SIM_MISC_CTL_UART1IRSEL(MISC_CTL_UART1IRSEL_0b0));
}
/***********************************************************************************************************************
 * EOF
 **********************************************************************************************************************/
