/*
 * Copyright 2021 NXP
 * All rights reserved.
 *
 * SPDX-License-Identifier: BSD-3-Clause
 */

/***********************************************************************************************************************
 * This file was generated by the MCUXpresso Config Tools. Any manual edits made to this file
 * will be overwritten if the respective MCUXpresso Config Tools is used to update this file.
 **********************************************************************************************************************/

/* clang-format off */
/*
 * TEXT BELOW IS USED AS SETTING FOR TOOLS *************************************
!!GlobalInfo
product: Pins v9.0
processor: MKM34Z128Axxx5
package_id: MKM34Z128ACLL5
mcu_data: ksdk2_0
processor_version: 0.9.0
 * BE CAREFUL MODIFYING THIS COMMENT - IT IS YAML SETTINGS FOR TOOLS ***********
 */
/* clang-format on */

#include "fsl_common.h"
#include "fsl_port.h"
#include "pin_mux.h"

/* FUNCTION ************************************************************************************************************
 *
 * Function Name : BOARD_InitBootPins
 * Description   : Calls initialization functions.
 *
 * END ****************************************************************************************************************/
void BOARD_InitBootPins(void)
{
    BOARD_InitPins();
}

/* clang-format off */
/*
 * TEXT BELOW IS USED AS SETTING FOR TOOLS *************************************
BOARD_InitPins:
- options: {callFromInitBoot: 'true', coreID: core0, enableClock: 'true'}
- pin_list:
  - {pin_num: '91', peripheral: UART1, signal: RX, pin_signal: CMP0P5/PTI0/SCI1_RxD/PXBAR_IN8/SPI1_MISO/SPI1_MOSI}
  - {pin_num: '92', peripheral: UART1, signal: TX, pin_signal: PTI1/SCI1_TxD/PXBAR_OUT8/SPI1_MOSI/SPI1_MISO}
  - {pin_num: '54', peripheral: I2C0, signal: SCL, pin_signal: CMP0P4/PTD7/I2C0_SCL/PXBAR_IN4/SCI3_RxD/LLWU_P7, slew_rate: fast, pull_select: up, pull_enable: disable}
  - {pin_num: '55', peripheral: I2C0, signal: SDA, pin_signal: PTE0/I2C0_SDA/PXBAR_OUT4/SCI3_TxD/CLKOUT, slew_rate: fast, pull_select: up, pull_enable: disable}
 * BE CAREFUL MODIFYING THIS COMMENT - IT IS YAML SETTINGS FOR TOOLS ***********
 */
/* clang-format on */

/* FUNCTION ************************************************************************************************************
 *
 * Function Name : BOARD_InitPins
 * Description   : Configures pin routing and optionally pin electrical features.
 *
 * END ****************************************************************************************************************/
void BOARD_InitPins(void)
{
    /* PCTLD Clock Gate Control: Clock enabled */
    CLOCK_EnableClock(kCLOCK_PortD);
    /* PCTLE Clock Gate Control: Clock enabled */
    CLOCK_EnableClock(kCLOCK_PortE);
    /* PCTLI Clock Gate Control: Clock enabled */
    CLOCK_EnableClock(kCLOCK_PortI);

    /* PORTD7 (pin 54) is configured as I2C0_SCL */
    PORT_SetPinMux(PORTD, 7U, kPORT_MuxAlt2);

    PORTD->PCR[7] = ((PORTD->PCR[7] &
                      /* Mask bits to zero which are setting */
                      (~(PORT_PCR_PS_MASK | PORT_PCR_PE_MASK | PORT_PCR_SRE_MASK | PORT_PCR_ISF_MASK)))

                     /* Pull Select: Internal pullup resistor is enabled on the corresponding pin, if the
                      * corresponding Port Pull Enable field is set. */
                     | PORT_PCR_PS(kPORT_PullUp)

                     /* Pull Enable: Internal pullup or pulldown resistor is not enabled on the corresponding pin. */
                     | PORT_PCR_PE(kPORT_PullDisable)

                     /* Slew Rate Enable: Fast slew rate is configured on the corresponding pin, if the pin is
                      * configured as a digital output. */
                     | PORT_PCR_SRE(kPORT_FastSlewRate));

    /* PORTE0 (pin 55) is configured as I2C0_SDA */
    PORT_SetPinMux(PORTE, 0U, kPORT_MuxAlt2);

    PORTE->PCR[0] = ((PORTE->PCR[0] &
                      /* Mask bits to zero which are setting */
                      (~(PORT_PCR_PS_MASK | PORT_PCR_PE_MASK | PORT_PCR_SRE_MASK | PORT_PCR_ISF_MASK)))

                     /* Pull Select: Internal pullup resistor is enabled on the corresponding pin, if the
                      * corresponding Port Pull Enable field is set. */
                     | PORT_PCR_PS(kPORT_PullUp)

                     /* Pull Enable: Internal pullup or pulldown resistor is not enabled on the corresponding pin. */
                     | PORT_PCR_PE(kPORT_PullDisable)

                     /* Slew Rate Enable: Fast slew rate is configured on the corresponding pin, if the pin is
                      * configured as a digital output. */
                     | PORT_PCR_SRE(kPORT_FastSlewRate));

    /* PORTI0 (pin 91) is configured as SCI1_RxD/PXBAR_IN8 */
    PORT_SetPinMux(PORTI, 0U, kPORT_MuxAlt2);

    /* PORTI1 (pin 92) is configured as SCI1_TxD */
    PORT_SetPinMux(PORTI, 1U, kPORT_MuxAlt2);

    SIM->MISC_CTL = ((SIM->MISC_CTL &
                      /* Mask bits to zero which are setting */
                      (~(SIM_MISC_CTL_UART1IRSEL_MASK)))

                     /* UART1 IRDA Select: Pad RX input (PTD[2] or PTI[0], as selected in Pinmux control)
                      * selected for RX input of UART1 and UART1 TX signal is not used for modulation. */
                     | SIM_MISC_CTL_UART1IRSEL(MISC_CTL_UART1IRSEL_0b0));
}
/***********************************************************************************************************************
 * EOF
 **********************************************************************************************************************/
