/*
 * Copyright 2021 NXP
 *
 * SPDX-License-Identifier: BSD-3-Clause
 */

/***********************************************************************************************************************
 * This file was generated by the MCUXpresso Config Tools. Any manual edits made to this file
 * will be overwritten if the respective MCUXpresso Config Tools is used to update this file.
 **********************************************************************************************************************/

/* clang-format off */
/*
 * TEXT BELOW IS USED AS SETTING FOR TOOLS *************************************
!!GlobalInfo
product: Pins v8.0
processor: MKM34Z128Axxx5
package_id: MKM34Z128ACLL5
mcu_data: ksdk2_0
processor_version: 0.9.1
 * BE CAREFUL MODIFYING THIS COMMENT - IT IS YAML SETTINGS FOR TOOLS ***********
 */
/* clang-format on */

#include "fsl_common.h"
#include "fsl_port.h"
#include "pin_mux.h"

/* FUNCTION ************************************************************************************************************
 *
 * Function Name : BOARD_InitBootPins
 * Description   : Calls initialization functions.
 *
 * END ****************************************************************************************************************/
void BOARD_InitBootPins(void)
{
    BOARD_InitPins();
    BOARD_I2C_ConfigurePins();
}

/* clang-format off */
/*
 * TEXT BELOW IS USED AS SETTING FOR TOOLS *************************************
BOARD_InitPins:
- options: {callFromInitBoot: 'true', coreID: core0, enableClock: 'true'}
- pin_list:
  - {pin_num: '91', peripheral: UART1, signal: RX, pin_signal: CMP0P5/PTI0/SCI1_RxD/PXBAR_IN8/SPI1_MISO/SPI1_MOSI}
  - {pin_num: '92', peripheral: UART1, signal: TX, pin_signal: PTI1/SCI1_TxD/PXBAR_OUT8/SPI1_MOSI/SPI1_MISO}
  - {pin_num: '74', peripheral: GPIOF, signal: 'GPIO, 7', pin_signal: LCD6/PTF7/QT2/CLKOUT}
 * BE CAREFUL MODIFYING THIS COMMENT - IT IS YAML SETTINGS FOR TOOLS ***********
 */
/* clang-format on */

/* FUNCTION ************************************************************************************************************
 *
 * Function Name : BOARD_InitPins
 * Description   : Configures pin routing and optionally pin electrical features.
 *
 * END ****************************************************************************************************************/
void BOARD_InitPins(void)
{
    /* PCTLF Clock Gate Control: Clock enabled */
    CLOCK_EnableClock(kCLOCK_PortF);
    /* PCTLI Clock Gate Control: Clock enabled */
    CLOCK_EnableClock(kCLOCK_PortI);

    /* PORTF7 (pin 74) is configured as PTF7 */
    PORT_SetPinMux(PORTF, 7U, kPORT_MuxAsGpio);

    /* PORTI0 (pin 91) is configured as SCI1_RxD/PXBAR_IN8 */
    PORT_SetPinMux(PORTI, 0U, kPORT_MuxAlt2);

    /* PORTI1 (pin 92) is configured as SCI1_TxD */
    PORT_SetPinMux(PORTI, 1U, kPORT_MuxAlt2);

    SIM->MISC_CTL = ((SIM->MISC_CTL &
                      /* Mask bits to zero which are setting */
                      (~(SIM_MISC_CTL_UART1IRSEL_MASK)))

                     /* UART1 IRDA Select: Pad RX input (PTD[2] or PTI[0], as selected in Pinmux control)
                      * selected for RX input of UART1 and UART1 TX signal is not used for modulation. */
                     | SIM_MISC_CTL_UART1IRSEL(MISC_CTL_UART1IRSEL_0b0));
}

/* clang-format off */
/*
 * TEXT BELOW IS USED AS SETTING FOR TOOLS *************************************
BOARD_I2C_ConfigurePins:
- options: {callFromInitBoot: 'true', coreID: core0, enableClock: 'true'}
- pin_list:
  - {pin_num: '54', peripheral: I2C0, signal: SCL, pin_signal: CMP0P4/PTD7/I2C0_SCL/PXBAR_IN4/SCI3_RxD/LLWU_P7, slew_rate: fast, pull_select: up, pull_enable: enable}
  - {pin_num: '55', peripheral: I2C0, signal: SDA, pin_signal: PTE0/I2C0_SDA/PXBAR_OUT4/SCI3_TxD/CLKOUT, slew_rate: fast, pull_select: up, pull_enable: enable}
 * BE CAREFUL MODIFYING THIS COMMENT - IT IS YAML SETTINGS FOR TOOLS ***********
 */
/* clang-format on */

/* FUNCTION ************************************************************************************************************
 *
 * Function Name : BOARD_I2C_ConfigurePins
 * Description   : Configures pin routing and optionally pin electrical features.
 *
 * END ****************************************************************************************************************/
void BOARD_I2C_ConfigurePins(void)
{
    /* PCTLD Clock Gate Control: Clock enabled */
    CLOCK_EnableClock(kCLOCK_PortD);
    /* PCTLE Clock Gate Control: Clock enabled */
    CLOCK_EnableClock(kCLOCK_PortE);

    const port_pin_config_t portd7_pin54_config = {/* Internal pull-up resistor is enabled */
                                                   kPORT_PullUp,
                                                   /* Fast slew rate is configured */
                                                   kPORT_FastSlewRate,
                                                   /* Pin is configured as I2C0_SCL */
                                                   kPORT_MuxAlt2,
                                                   /* Pin Control Register fields [15:0] are not locked */
                                                   kPORT_UnlockRegister};
    /* PORTD7 (pin 54) is configured as I2C0_SCL */
    PORT_SetPinConfig(PORTD, 7U, &portd7_pin54_config);

    const port_pin_config_t porte0_pin55_config = {/* Internal pull-up resistor is enabled */
                                                   kPORT_PullUp,
                                                   /* Fast slew rate is configured */
                                                   kPORT_FastSlewRate,
                                                   /* Pin is configured as I2C0_SDA */
                                                   kPORT_MuxAlt2,
                                                   /* Pin Control Register fields [15:0] are not locked */
                                                   kPORT_UnlockRegister};
    /* PORTE0 (pin 55) is configured as I2C0_SDA */
    PORT_SetPinConfig(PORTE, 0U, &porte0_pin55_config);
}
/***********************************************************************************************************************
 * EOF
 **********************************************************************************************************************/
