/*
 * Copyright 2021 NXP
 * All rights reserved.
 *
 * SPDX-License-Identifier: BSD-3-Clause
 */

/***********************************************************************************************************************
 * This file was generated by the MCUXpresso Config Tools. Any manual edits made to this file
 * will be overwritten if the respective MCUXpresso Config Tools is used to update this file.
 **********************************************************************************************************************/

/* clang-format off */
/*
 * TEXT BELOW IS USED AS SETTING FOR TOOLS *************************************
!!GlobalInfo
product: Pins v9.0
processor: MKM34Z128Axxx5
package_id: MKM34Z128ACLL5
mcu_data: ksdk2_0
processor_version: 0.9.0
 * BE CAREFUL MODIFYING THIS COMMENT - IT IS YAML SETTINGS FOR TOOLS ***********
 */
/* clang-format on */

#include "fsl_common.h"
#include "fsl_port.h"
#include "fsl_xbar.h"
#include "pin_mux.h"

/* FUNCTION ************************************************************************************************************
 *
 * Function Name : BOARD_InitBootPins
 * Description   : Calls initialization functions.
 *
 * END ****************************************************************************************************************/
void BOARD_InitBootPins(void)
{
    BOARD_InitPins();
}

/* clang-format off */
/*
 * TEXT BELOW IS USED AS SETTING FOR TOOLS *************************************
BOARD_InitPins:
- options: {callFromInitBoot: 'true', coreID: core0, enableClock: 'true'}
- pin_list:
  - {pin_num: '91', peripheral: UART1, signal: RX, pin_signal: CMP0P5/PTI0/SCI1_RxD/PXBAR_IN8/SPI1_MISO/SPI1_MOSI}
  - {pin_num: '92', peripheral: UART1, signal: TX, pin_signal: PTI1/SCI1_TxD/PXBAR_OUT8/SPI1_MOSI/SPI1_MISO}
  - {pin_num: '68', peripheral: GPIOF, signal: 'GPIO, 1', pin_signal: LCD0/AD8/PTF1/QT0/PXBAR_OUT6}
  - {pin_num: '52', peripheral: TMR0, signal: OUT, pin_signal: AD4/PTD5/LPTIM2/QT0/SCI3_CTS}
  - {pin_num: '75', peripheral: TMR1, signal: OUT, pin_signal: LCD7/PTG0/QT1/LPTIM2}
  - {pin_num: '7', peripheral: TMR0, signal: SEC_IN, pin_signal: LCD29/PTA6/PXBAR_IN0/LLWU_P14}
 * BE CAREFUL MODIFYING THIS COMMENT - IT IS YAML SETTINGS FOR TOOLS ***********
 */
/* clang-format on */

/* FUNCTION ************************************************************************************************************
 *
 * Function Name : BOARD_InitPins
 * Description   : Configures pin routing and optionally pin electrical features.
 *
 * END ****************************************************************************************************************/
void BOARD_InitPins(void)
{
    /* PCTLA Clock Gate Control: Clock enabled */
    CLOCK_EnableClock(kCLOCK_PortA);
    /* PCTLD Clock Gate Control: Clock enabled */
    CLOCK_EnableClock(kCLOCK_PortD);
    /* PCTLF Clock Gate Control: Clock enabled */
    CLOCK_EnableClock(kCLOCK_PortF);
    /* PCTLG Clock Gate Control: Clock enabled */
    CLOCK_EnableClock(kCLOCK_PortG);
    /* PCTLI Clock Gate Control: Clock enabled */
    CLOCK_EnableClock(kCLOCK_PortI);
    /* Peripheral Crossbar Clock Gate Control: Clock enabled */
    CLOCK_EnableClock(kCLOCK_Xbar);

    /* PORTA6 (pin 7) is configured as PXBAR_IN0 */
    PORT_SetPinMux(PORTA, 6U, kPORT_MuxAlt2);

    /* PORTD5 (pin 52) is configured as QT0 */
    PORT_SetPinMux(PORTD, 5U, kPORT_MuxAlt3);

    /* PORTF1 (pin 68) is configured as PTF1 */
    PORT_SetPinMux(PORTF, 1U, kPORT_MuxAsGpio);

    /* PORTG0 (pin 75) is configured as QT1 */
    PORT_SetPinMux(PORTG, 0U, kPORT_MuxAlt2);

    /* PORTI0 (pin 91) is configured as SCI1_RxD/PXBAR_IN8 */
    PORT_SetPinMux(PORTI, 0U, kPORT_MuxAlt2);

    /* PORTI1 (pin 92) is configured as SCI1_TxD */
    PORT_SetPinMux(PORTI, 1U, kPORT_MuxAlt2);

    SIM->MISC_CTL = ((SIM->MISC_CTL &
                      /* Mask bits to zero which are setting */
                      (~(SIM_MISC_CTL_UART1IRSEL_MASK | SIM_MISC_CTL_TMR0SCSSEL_MASK)))

                     /* UART1 IRDA Select: Pad RX input (PTD[2] or PTI[0], as selected in Pinmux control)
                      * selected for RX input of UART1 and UART1 TX signal is not used for modulation. */
                     | SIM_MISC_CTL_UART1IRSEL(MISC_CTL_UART1IRSEL_0b0)

                     /* Quadtimer Channel0 Secondary Count Source Select: Peripheral Crossbar (XBAR) Output[5]. */
                     | SIM_MISC_CTL_TMR0SCSSEL(MISC_CTL_TMR0SCSSEL_0b1));
    /* XBAR Input pin 0 output assigned to XBAR_IN17 input is connected
     * to XBAR_OUT5 output assigned to Quad Timer channel 0 secondary input */
    XBAR_SetSignalsConnection(XBAR, kXBAR_InputXbarIn0, kXBAR_OutputTmrCh0SecInput);
}
/***********************************************************************************************************************
 * EOF
 **********************************************************************************************************************/
