 /*
 * Copyright 2021 NXP.
 * All rights reserved.
 *
 * SPDX-License-Identifier: BSD-3-Clause
 */

/***********************************************************************************************************************
 * This file was generated by the MCUXpresso Config Tools. Any manual edits made to this file
 * will be overwritten if the respective MCUXpresso Config Tools is used to update this file.
 **********************************************************************************************************************/

#ifndef _PIN_MUX_H_
#define _PIN_MUX_H_

/*!
 * @addtogroup pin_mux
 * @{
 */

/***********************************************************************************************************************
 * API
 **********************************************************************************************************************/

#if defined(__cplusplus)
extern "C" {
#endif

/*!
 * @brief Calls initialization functions.
 *
 */
void BOARD_InitBootPins(void);

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitPins(void);

/*! @name PORTD0 (number 47), J31[6]/AFE_SDADP1
  @{ */

/* Symbols to be used with GPIO driver */
#define BOARD_SW1_GPIO GPIOD               /*!<@brief GPIO peripheral base pointer */
#define BOARD_SW1_GPIO_PIN_MASK (1U << 0U) /*!<@brief GPIO pin mask */

/* Symbols to be used with PORT driver */
#define BOARD_SW1_PORT PORTD               /*!<@brief PORT peripheral base pointer */
#define BOARD_SW1_PIN 0U                   /*!<@brief PORT pin number */
#define BOARD_SW1_PIN_MASK (1U << 0U)      /*!<@brief PORT pin mask */
                                           /* @} */

/*! @name PORTE4 (number 63), D4/RED
  @{ */

/* Symbols to be used with GPIO driver */
#define BOARD_SW2_GPIO GPIOE               /*!<@brief GPIO peripheral base pointer */
#define BOARD_SW2_GPIO_PIN_MASK (1U << 4U) /*!<@brief GPIO pin mask */

/* Symbols to be used with PORT driver */
#define BOARD_SW2_PORT PORTE               /*!<@brief PORT peripheral base pointer */
#define BOARD_SW2_PIN 4U                   /*!<@brief PORT pin number */
#define BOARD_SW2_PIN_MASK (1U << 4U)      /*!<@brief PORT pin mask */
                                           /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitButtonsPins(void);

/*! @name PORTE5 (number 64), J32[B35]
  @{ */

/* Symbols to be used with GPIO driver */
#define BOARD_LED_GREEN_GPIO GPIOE               /*!<@brief GPIO peripheral base pointer */
#define BOARD_LED_GREEN_GPIO_PIN_MASK (1U << 5U) /*!<@brief GPIO pin mask */

/* Symbols to be used with PORT driver */
#define BOARD_LED_GREEN_PORT PORTE               /*!<@brief PORT peripheral base pointer */
#define BOARD_LED_GREEN_PIN 5U                   /*!<@brief PORT pin number */
#define BOARD_LED_GREEN_PIN_MASK (1U << 5U)      /*!<@brief PORT pin mask */
                                                 /* @} */

/*! @name PORTF1 (number 68), J23[15]
  @{ */

/* Symbols to be used with GPIO driver */
#define BOARD_LED_RED_GPIO GPIOF               /*!<@brief GPIO peripheral base pointer */
#define BOARD_LED_RED_GPIO_PIN_MASK (1U << 1U) /*!<@brief GPIO pin mask */

/* Symbols to be used with PORT driver */
#define BOARD_LED_RED_PORT PORTF               /*!<@brief PORT peripheral base pointer */
#define BOARD_LED_RED_PIN 1U                   /*!<@brief PORT pin number */
#define BOARD_LED_RED_PIN_MASK (1U << 1U)      /*!<@brief PORT pin mask */
                                               /* @} */

/*! @name PORTD1 (number 48), J31[8]/AFE_SDADM1
  @{ */

/* Symbols to be used with GPIO driver */
#define BOARD_LED_ORANGE_GPIO GPIOD               /*!<@brief GPIO peripheral base pointer */
#define BOARD_LED_ORANGE_GPIO_PIN_MASK (1U << 1U) /*!<@brief GPIO pin mask */

/* Symbols to be used with PORT driver */
#define BOARD_LED_ORANGE_PORT PORTD               /*!<@brief PORT peripheral base pointer */
#define BOARD_LED_ORANGE_PIN 1U                   /*!<@brief PORT pin number */
#define BOARD_LED_ORANGE_PIN_MASK (1U << 1U)      /*!<@brief PORT pin mask */
                                                  /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitLEDsPins(void);

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitACCELPins(void);

/*!
 * @brief
 * UART1 IRDA Select: Pad RX input (PTD[2] or PTI[0], as selected in Pinmux control) selected for RX input of
 * UART1 and UART1 TX signal is not used for modulation.
 */
#define MISC_CTL_UART1IRSEL_0b0 0x00u

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitDEBUG_UARTPins(void);

/*! @name PORTE3 (number 58), J7[2]/Y2[1]/XTAL_8MHz
  @{ */

/* Symbols to be used with PORT driver */
#define BOARD_XTAL0_PORT PORTE               /*!<@brief PORT peripheral base pointer */
#define BOARD_XTAL0_PIN 3U                   /*!<@brief PORT pin number */
#define BOARD_XTAL0_PIN_MASK (1U << 3U)      /*!<@brief PORT pin mask */
                                             /* @} */

/*! @name EXTAL32K (number 26), Y1[2]/EXTAL_32K_KM38
  @{ */
/* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitOSCPins(void);

/*! @name PORTF6 (number 73), GND
  @{ */

/* Symbols to be used with PORT driver */
#define BOARD_FLASH_SI_PORT PORTF               /*!<@brief PORT peripheral base pointer */
#define BOARD_FLASH_SI_PIN 6U                   /*!<@brief PORT pin number */
#define BOARD_FLASH_SI_PIN_MASK (1U << 6U)      /*!<@brief PORT pin mask */
                                                /* @} */

/*! @name PORTF5 (number 72), GND
  @{ */

/* Symbols to be used with PORT driver */
#define BOARD_FLASH_SO_PORT PORTF               /*!<@brief PORT peripheral base pointer */
#define BOARD_FLASH_SO_PIN 5U                   /*!<@brief PORT pin number */
#define BOARD_FLASH_SO_PIN_MASK (1U << 5U)      /*!<@brief PORT pin mask */
                                                /* @} */

/*! @name PORTF4 (number 71), GND
  @{ */

/* Symbols to be used with PORT driver */
#define BOARD_FLASH_CLK_PORT PORTF               /*!<@brief PORT peripheral base pointer */
#define BOARD_FLASH_CLK_PIN 4U                   /*!<@brief PORT pin number */
#define BOARD_FLASH_CLK_PIN_MASK (1U << 4U)      /*!<@brief PORT pin mask */
                                                 /* @} */

/*! @name PORTF3 (number 70), J22[12]/TWRPI-ADC2
  @{ */

/* Symbols to be used with PORT driver */
#define BOARD_FLASH_CS_PORT PORTF               /*!<@brief PORT peripheral base pointer */
#define BOARD_FLASH_CS_PIN 3U                   /*!<@brief PORT pin number */
#define BOARD_FLASH_CS_PIN_MASK (1U << 3U)      /*!<@brief PORT pin mask */
                                                /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitSPI_FLASHPins(void);

/*!
 * @brief
 * UART0 IRDA Select: UART0 selected for IRDA modulation.
 * UART0 TX modulated by XBAR_OUT[14] and UART0 RX input connected to XBAR_OUT[13].
 */
#define MISC_CTL_UART0IRSEL_0b1 0x01u
/*!
 * @brief UART Modulation Type: TypeB (ANDed) Modulation selected for IRDA */
#define MISC_CTL_UARTMODTYPE_0b1 0x01u

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitInfra_RedPins(void);

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitPotentiometerPins(void);

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitTemp_sensorPins(void);

/*! @name PORTB5 (number 16), DS1[2]/LCD_P36
  @{ */

/* Symbols to be used with PORT driver */
#define BOARD_LCD_P36_PORT PORTB               /*!<@brief PORT peripheral base pointer */
#define BOARD_LCD_P36_PIN 5U                   /*!<@brief PORT pin number */
#define BOARD_LCD_P36_PIN_MASK (1U << 5U)      /*!<@brief PORT pin mask */
                                               /* @} */

/*! @name PORTB3 (number 14), J23[4]/I2C1_SDA
  @{ */

/* Symbols to be used with PORT driver */
#define BOARD_LCD_P34_PORT PORTB               /*!<@brief PORT peripheral base pointer */
#define BOARD_LCD_P34_PIN 3U                   /*!<@brief PORT pin number */
#define BOARD_LCD_P34_PIN_MASK (1U << 3U)      /*!<@brief PORT pin mask */
                                               /* @} */

/*! @name PORTB1 (number 12), DS1[4]/LCD_P32
  @{ */

/* Symbols to be used with PORT driver */
#define BOARD_LCD_P32_PORT PORTB               /*!<@brief PORT peripheral base pointer */
#define BOARD_LCD_P32_PIN 1U                   /*!<@brief PORT pin number */
#define BOARD_LCD_P32_PIN_MASK (1U << 1U)      /*!<@brief PORT pin mask */
                                               /* @} */

/*! @name PORTB0 (number 9), DS1[5]/LCD_P31
  @{ */

/* Symbols to be used with PORT driver */
#define BOARD_LCD_P31_PORT PORTB               /*!<@brief PORT peripheral base pointer */
#define BOARD_LCD_P31_PIN 0U                   /*!<@brief PORT pin number */
#define BOARD_LCD_P31_PIN_MASK (1U << 0U)      /*!<@brief PORT pin mask */
                                               /* @} */

/*! @name PORTA2 (number 3), DS1[15]/LCD_P45
  @{ */

/* Symbols to be used with PORT driver */
#define BOARD_LCD_P45_PORT PORTA               /*!<@brief PORT peripheral base pointer */
#define BOARD_LCD_P45_PIN 2U                   /*!<@brief PORT pin number */
#define BOARD_LCD_P45_PIN_MASK (1U << 2U)      /*!<@brief PORT pin mask */
                                               /* @} */

/*! @name PORTA0 (number 1), GND
  @{ */

/* Symbols to be used with PORT driver */
#define BOARD_LCD_P23_PORT PORTA               /*!<@brief PORT peripheral base pointer */
#define BOARD_LCD_P23_PIN 0U                   /*!<@brief PORT pin number */
#define BOARD_LCD_P23_PIN_MASK (1U << 0U)      /*!<@brief PORT pin mask */
                                               /* @} */

/*! @name PORTC4 (number 23), DS1[9]/LCD_P43
  @{ */

/* Symbols to be used with PORT driver */
#define BOARD_LCD_P43_PORT PORTC               /*!<@brief PORT peripheral base pointer */
#define BOARD_LCD_P43_PIN 4U                   /*!<@brief PORT pin number */
#define BOARD_LCD_P43_PIN_MASK (1U << 4U)      /*!<@brief PORT pin mask */
                                               /* @} */

/*! @name PORTB6 (number 17), DS1[13]/LCD_P50
  @{ */

/* Symbols to be used with PORT driver */
#define BOARD_LCD_P50_PORT PORTB               /*!<@brief PORT peripheral base pointer */
#define BOARD_LCD_P50_PIN 6U                   /*!<@brief PORT pin number */
#define BOARD_LCD_P50_PIN_MASK (1U << 6U)      /*!<@brief PORT pin mask */
                                               /* @} */

/*! @name PORTB4 (number 15), J23[3]/I2C1_SCL
  @{ */

/* Symbols to be used with PORT driver */
#define BOARD_LCD_P35_PORT PORTB               /*!<@brief PORT peripheral base pointer */
#define BOARD_LCD_P35_PIN 4U                   /*!<@brief PORT pin number */
#define BOARD_LCD_P35_PIN_MASK (1U << 4U)      /*!<@brief PORT pin mask */
                                               /* @} */

/*! @name PORTB2 (number 13), DS1[12]/LCD_P33
  @{ */

/* Symbols to be used with PORT driver */
#define BOARD_LCD_P33_PORT PORTB               /*!<@brief PORT peripheral base pointer */
#define BOARD_LCD_P33_PIN 2U                   /*!<@brief PORT pin number */
#define BOARD_LCD_P33_PIN_MASK (1U << 2U)      /*!<@brief PORT pin mask */
                                               /* @} */

/*! @name PORTA1 (number 2), GND
  @{ */

/* Symbols to be used with PORT driver */
#define BOARD_LCD_P24_PORT PORTA               /*!<@brief PORT peripheral base pointer */
#define BOARD_LCD_P24_PIN 1U                   /*!<@brief PORT pin number */
#define BOARD_LCD_P24_PIN_MASK (1U << 1U)      /*!<@brief PORT pin mask */
                                               /* @} */

/*! @name PORTA3 (number 4), DS1[17]/LCD_P26
  @{ */

/* Symbols to be used with PORT driver */
#define BOARD_LCD_P26_PORT PORTA               /*!<@brief PORT peripheral base pointer */
#define BOARD_LCD_P26_PIN 3U                   /*!<@brief PORT pin number */
#define BOARD_LCD_P26_PIN_MASK (1U << 3U)      /*!<@brief PORT pin mask */
                                               /* @} */

/*! @name PORTH4 (number 87), DS1[22]/LCD_P19
  @{ */

/* Symbols to be used with PORT driver */
#define BOARD_LCD_P19_PORT PORTH               /*!<@brief PORT peripheral base pointer */
#define BOARD_LCD_P19_PIN 4U                   /*!<@brief PORT pin number */
#define BOARD_LCD_P19_PIN_MASK (1U << 4U)      /*!<@brief PORT pin mask */
                                               /* @} */

/*! @name PORTG6 (number 81), J25[22]/UART0_TX
  @{ */

/* Symbols to be used with PORT driver */
#define BOARD_LCD_P13_PORT PORTG               /*!<@brief PORT peripheral base pointer */
#define BOARD_LCD_P13_PIN 6U                   /*!<@brief PORT pin number */
#define BOARD_LCD_P13_PIN_MASK (1U << 6U)      /*!<@brief PORT pin mask */
                                               /* @} */

/*! @name PORTI3 (number 94), DS1[26]/LCD_P22
  @{ */

/* Symbols to be used with PORT driver */
#define BOARD_LCD_P22_PORT PORTI               /*!<@brief PORT peripheral base pointer */
#define BOARD_LCD_P22_PIN 3U                   /*!<@brief PORT pin number */
#define BOARD_LCD_P22_PIN_MASK (1U << 3U)      /*!<@brief PORT pin mask */
                                               /* @} */

/*! @name PORTH5 (number 88), DS1[27]/LCD_P20
  @{ */

/* Symbols to be used with PORT driver */
#define BOARD_LCD_P20_PORT PORTH               /*!<@brief PORT peripheral base pointer */
#define BOARD_LCD_P20_PIN 5U                   /*!<@brief PORT pin number */
#define BOARD_LCD_P20_PIN_MASK (1U << 5U)      /*!<@brief PORT pin mask */
                                               /* @} */

/*! @name PORTG7 (number 82), J25[24]/UART0_RX
  @{ */

/* Symbols to be used with PORT driver */
#define BOARD_LCD_P14_PORT PORTG               /*!<@brief PORT peripheral base pointer */
#define BOARD_LCD_P14_PIN 7U                   /*!<@brief PORT pin number */
#define BOARD_LCD_P14_PIN_MASK (1U << 7U)      /*!<@brief PORT pin mask */
                                               /* @} */

/*! @name PORTG2 (number 77), J32[B9]/J9[2]/U4[1]/SPI0_PCS0
  @{ */

/* Symbols to be used with PORT driver */
#define BOARD_LCD_P9_PORT PORTG               /*!<@brief PORT peripheral base pointer */
#define BOARD_LCD_P9_PIN 2U                   /*!<@brief PORT pin number */
#define BOARD_LCD_P9_PIN_MASK (1U << 2U)      /*!<@brief PORT pin mask */
                                              /* @} */

/*! @name PORTG3 (number 78), J32[B7]/J12[1]/U4[6]/SPI0_SCK
  @{ */

/* Symbols to be used with PORT driver */
#define BOARD_LCD_P10_PORT PORTG               /*!<@brief PORT peripheral base pointer */
#define BOARD_LCD_P10_PIN 3U                   /*!<@brief PORT pin number */
#define BOARD_LCD_P10_PIN_MASK (1U << 3U)      /*!<@brief PORT pin mask */
                                               /* @} */

/*! @name PORTG5 (number 80), J32[B11]/J13[2]/U4[2]/SPI0_MISO
  @{ */

/* Symbols to be used with PORT driver */
#define BOARD_LCD_P12_PORT PORTG               /*!<@brief PORT peripheral base pointer */
#define BOARD_LCD_P12_PIN 5U                   /*!<@brief PORT pin number */
#define BOARD_LCD_P12_PIN_MASK (1U << 5U)      /*!<@brief PORT pin mask */
                                               /* @} */

/*! @name PORTH0 (number 83), J32[B55]/J32[B56]
  @{ */

/* Symbols to be used with PORT driver */
#define BOARD_LCD_P15_PORT PORTH               /*!<@brief PORT peripheral base pointer */
#define BOARD_LCD_P15_PIN 0U                   /*!<@brief PORT pin number */
#define BOARD_LCD_P15_PIN_MASK (1U << 0U)      /*!<@brief PORT pin mask */
                                               /* @} */

/*! @name PORTH1 (number 84), J32[B57]/J32[B58]
  @{ */

/* Symbols to be used with PORT driver */
#define BOARD_LCD_P16_PORT PORTH               /*!<@brief PORT peripheral base pointer */
#define BOARD_LCD_P16_PIN 1U                   /*!<@brief PORT pin number */
#define BOARD_LCD_P16_PIN_MASK (1U << 1U)      /*!<@brief PORT pin mask */
                                               /* @} */

/*! @name PORTH2 (number 85), J32[B59]/J32[B60]
  @{ */

/* Symbols to be used with PORT driver */
#define BOARD_LCD_P17_PORT PORTH               /*!<@brief PORT peripheral base pointer */
#define BOARD_LCD_P17_PIN 2U                   /*!<@brief PORT pin number */
#define BOARD_LCD_P17_PIN_MASK (1U << 2U)      /*!<@brief PORT pin mask */
                                               /* @} */

/*! @name PORTH3 (number 86), GND
  @{ */

/* Symbols to be used with PORT driver */
#define BOARD_LCD_P18_PORT PORTH               /*!<@brief PORT peripheral base pointer */
#define BOARD_LCD_P18_PIN 3U                   /*!<@brief PORT pin number */
#define BOARD_LCD_P18_PIN_MASK (1U << 3U)      /*!<@brief PORT pin mask */
                                               /* @} */

/*! @name PORTI2 (number 93), J32[B23]
  @{ */

/* Symbols to be used with PORT driver */
#define BOARD_LCD_P21_PORT PORTI               /*!<@brief PORT peripheral base pointer */
#define BOARD_LCD_P21_PIN 2U                   /*!<@brief PORT pin number */
#define BOARD_LCD_P21_PIN_MASK (1U << 2U)      /*!<@brief PORT pin mask */
                                               /* @} */

/*! @name PORTG4 (number 79), J32[B10]/J15[1]/U4[5]/SPI0_MOSI
  @{ */

/* Symbols to be used with PORT driver */
#define BOARD_LCD_P11_PORT PORTG               /*!<@brief PORT peripheral base pointer */
#define BOARD_LCD_P11_PIN 4U                   /*!<@brief PORT pin number */
#define BOARD_LCD_P11_PIN_MASK (1U << 4U)      /*!<@brief PORT pin mask */
                                               /* @} */

/*! @name PORTA4 (number 5), SW1
  @{ */

/* Symbols to be used with PORT driver */
#define BOARD_LCD_P27_PORT PORTA               /*!<@brief PORT peripheral base pointer */
#define BOARD_LCD_P27_PIN 4U                   /*!<@brief PORT pin number */
#define BOARD_LCD_P27_PIN_MASK (1U << 4U)      /*!<@brief PORT pin mask */
                                               /* @} */

/*! @name PORTA5 (number 6), DS1[18]/LCD_P28
  @{ */

/* Symbols to be used with PORT driver */
#define BOARD_LCD_P28_PORT PORTA               /*!<@brief PORT peripheral base pointer */
#define BOARD_LCD_P28_PIN 5U                   /*!<@brief PORT pin number */
#define BOARD_LCD_P28_PIN_MASK (1U << 5U)      /*!<@brief PORT pin mask */
                                               /* @} */

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void BOARD_InitLCDPins(void);

#if defined(__cplusplus)
}
#endif

/*!
 * @}
 */
#endif /* _PIN_MUX_H_ */

/***********************************************************************************************************************
 * EOF
 **********************************************************************************************************************/
